:root{
    --font-color: #395267;
}
*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
header{
    width: 100%;
    height: 100vh;
    display: flex;
    position: relative;
}
.logo{
    width: 30%;
    height: 100%;
    position: relative;
}
.logo-icon{
    width: 60%;
    position: absolute;
    left: 40%;
    top: 5%;
    font-size: 56px;
}
.logo-icon svg{
    width: 100px;
    height: 100px;
    fill: #000;
}
.logo-icon svg:hover{
    fill: crimson;
    /* stroke: #000;
    stroke-width: 2px; */
}
.logo h1{
    width: 100%;
    position: absolute;
    left: 40%;
    bottom: 5%;
    font-size: 74px;
    color: var(--font-color);
}
.logo span{
    background-color: #b79763;
    color: #fff;
    padding: 0px 20px;
}
.promo{
    width: calc(70% - 350px);
    height: 100%;
    background-image: url('./images/poster.jpg');
    background-repeat: no-repeat;
    background-size: cover;
}
nav{
    width: 350px;
    height: 100%;
    background-color: var(--font-color);
    color: #c6c6c6;
}
nav ul{
    width: 100%;
    position: relative;
    top: 200px;
    list-style: none;
}
nav li{
    width: 100%;
    height: 60px;
    line-height: 60px;
    font-size: 20px;
    padding-left: 50px;
    cursor: pointer;
}
nav li:hover{
    color: #fff;
}
nav div{
    width: 50px;
    height: 50px;
    text-align: center;
    line-height: 50px;
    font-size: 36px;
    position: absolute;
    top: 0px;
    right: 0px;
    display: none;
    cursor: pointer;
}
nav div:hover ~ ul{
    display: block;
}
section{
    width: 100%;
    height: auto;
    padding: 100px 0px;
    color: var(--font-color);
}
section p{
    width: 100%;
    height: 30px;
    font-size: 24px;
    text-align: center;
    line-height: 30px;
}
section h2{
    width: 100%;
    height: 50px;
    font-size: 48px;
    font-weight: 900;
    text-align: center;
    line-height: 50px;
    text-transform: uppercase;
    margin-bottom: 100px;
}
.coffee-type{
    width: 100%;
    height: 400px;
    display: flex;
    justify-content: center;
}
.element{
    width: 280px;
    height: 300px;
}
.element img{
    width: 150px;
    height: 150px;
    display: block;
    margin: 0px auto;
}
.element h2{
    width: 100%;
    height: 50px;
    line-height: 50px;
    font-size: 24px;
    margin-bottom: 0px;
}
.element p{
    width: 100%;
    height: 100px;
    padding: 0px 10px;
}
.shop{
    position: relative;
}
.shop__decor{
    width: 30%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    background-color: var(--font-color);
    z-index: 10;
}
.products{
    width: 1300px;
    height: 700px;
    margin: 0px auto;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    position: relative;
    z-index: 100;
}
.products__item{
    width: 540px;
    height: 300px;
    display: flex;
    background-color: #fff;
    box-shadow: 0px 0px 20px -5px #bababa;
}
.item__image{
    display: block;
    width: 250px;
    height: 300px;
}
.item__info{
    width: 290px;
    height: 300px;
    padding: 30px;
}
.item__price{
    width: 100%;
    height: 30px;
    line-height: 30px;
    font-size: 24px;
    text-align: left;
}
.item__header{
    width: 100%;
    height: 50px;
    line-height: 50px;
    font-size: 24px;
    text-align: left;
    margin-bottom: 10px;
}
.item__description{
    width: 100%;
    height: 80px;
    line-height: 40px;
    font-size: 18px;
    text-align: left;
}
.item__controls{
    width: 100%;
    height: 70px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.item__button{
    width: 110px;
    height: 30px;
    border-radius: 30px;
    border: none;
    cursor: pointer;
    background-color: transparent;
}
.item__button_active{
    background-color: #b79763;
    color: #fff;
}
.set{
    padding: 100px;
    background-color: #d4d4d4;
}
.set__content{
    width: 100%;
    height: 600px;
    position: relative;
}
.set__block{
    width: 800px;
    height: 600px;
    background-color: #fff;
    box-shadow: 0px 0px 20px 5px #bababa;
    position: absolute;
    top: 0px;
    right: 100px;
    padding-left: 300px;
    padding-right: 50px;
    display: none;
}
.set__block img{
    display: block;
    width: 500px;
    height: 500px;
    position: absolute;
    top: 50px;
    left: -250px;
}
.set__block h2{
    width: 100%;
    height: 50px;
    line-height: 50px;
    text-align: left;
    margin: 20px 0px;
    font-size: 36px;
}
.set__block p{
    width: 100%;
    height: auto;
    line-height: 30px;
    text-align: justify;
    margin-bottom: 20px;
    font-size: 24px;
}
.set__controls{
    position: absolute;
    top: 0px;
    right: 0px;
    width: 100px;
    height: 600px;
    display: flex;
    flex-direction: column;
}
.set__controls label{
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: #bababa;
    opacity: .5;
    cursor: pointer;
}
.set__controls span{
    display: block;
    width: 100%;
    text-align: center;
    font-weight: 900;
    font-size: 48px;
}
.set__controls input[type="radio"]{
    display: none;
}
.set__controls input:checked + label{
    background-color: #fff;
    opacity: 1;
    border: 1px solid #d4d4d4;
    box-shadow: 6px 0px 10px 0px #bababa;
}
#set1:checked ~ #block1{
    display: block;
}
#set2:checked ~ #block2{
    display: block;
}
#set3:checked ~ #block3{
    display: block;
}
footer{
    width: 100%;
    height: 80px;
    text-align: center;
    line-height: 80px;
    font-size: 24px;
    font-weight: 100;
    font-style: italic;
    background-color: #f1f1f1;
}
@media (max-width: 1300px) {
    header{
        flex-direction: column-reverse;
        height: auto;
    }
    .logo{
        width: 100%;
        height: 90px;
    }
    .logo-icon{
        width: 90px;
        height: 90px;
        position: absolute;
        left: 0px;
        top: 0px;
        font-size: 56px;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .logo-icon svg{
        width: 50px;
        height: 50px;
    }
    .logo h1{
        width: auto;
        font-size: 24px;
        line-height: 30px;
        left: 100px;
        bottom: auto;
        top: 0px;
    }
    .logo span{
        display: block;
    }
    .promo{
        width: 100%;
        height: 400px;
    }
    nav{
        width: 100%;
        height: 50px;
        position: absolute;
        top: 0px;
        left: 0px;
    }
    nav ul{
        top: auto;
        bottom: -50px;
        height: auto;
        background-color: var(--font-color);
        display: none;
    }
    nav li{
        padding-left: 0px;
        text-align: center;
    }
    nav div{
        display: block;
    }
    section h2{
        height: auto;
        font-size: 36px;
        line-height: 40px;
        margin-top: 20px;
        margin-bottom: 20px;
    }
    .coffee-type{
        flex-wrap: wrap;
        height: auto;
    }
    .products{
        width: 100%;
        height: auto;
    }
}
@media (max-width: 600px) {
    .products__item{
        width: 250px;
        height: 600px;
        flex-direction: column;
        margin-bottom: 20px;
    }
    .item__info{
        width: 250px;
        height: 300px;
        padding: 10px;
    }
    section h2 {
        position: relative;
        background-color: #fff;
        z-index: 100;
        margin: 0px;
        line-height: 60px;
        padding: 10px 0px;
    }
    section p {
        position: relative;
        background-color: #fff;
        z-index: 100;
    }
}